jlec 15/04/15 14:14:33
Modified: metadata.xml pymol-plugins-caver-2.1.2.ebuild
ChangeLog
Removed: pymol-plugins-caver-2.1.1.ebuild
Log:
Drop old; Bump EAPI and python eclasses
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key
B9D4F231BD1558AB!)
Revision Changes Path
1.2 sci-chemistry/pymol-plugins-caver/metadata.xml
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/metadata.xml?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/metadata.xml?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/metadata.xml?r1=1.1&r2=1.2
Index: metadata.xml
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml 18 Mar 2011 10:22:58 -0000 1.1
+++ metadata.xml 15 Apr 2015 14:14:33 -0000 1.2
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>sci-chemistry</herd>
+ <herd>sci-chemistry</herd>
</pkgmetadata>
1.2
sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild?r1=1.1&r2=1.2
Index: pymol-plugins-caver-2.1.2.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pymol-plugins-caver-2.1.2.ebuild 18 Mar 2011 10:22:58 -0000 1.1
+++ pymol-plugins-caver-2.1.2.ebuild 15 Apr 2015 14:14:33 -0000 1.2
@@ -1,13 +1,12 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild,v
1.1 2011/03/18 10:22:58 jlec Exp $
+# $Header:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/pymol-plugins-caver-2.1.2.ebuild,v
1.2 2015/04/15 14:14:33 jlec Exp $
-EAPI="3"
+EAPI=5
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="2.4 3.*"
+PYTHON_COMPAT=( python2_7 )
-inherit multilib python eutils versionator java-utils-2
+inherit multilib python-r1 eutils versionator java-utils-2
MY_PV="$(replace_all_version_separators _)"
MY_P="Caver${MY_PV}_pymol_plugin"
@@ -23,7 +22,7 @@
RDEPEND="
>=virtual/jre-1.6
- sci-chemistry/pymol"
+ sci-chemistry/pymol[${PYTHON_USEDEP}]"
DEPEND="app-arch/unzip"
RESTRICT="fetch"
@@ -36,10 +35,6 @@
elog "Place tarballs in ${DISTDIR}."
}
-src_prepare() {
- python_copy_sources
-}
-
src_install() {
java-pkg_dojar Caver${MY_PV}/*.jar
@@ -47,20 +42,13 @@
java-pkg_dojar Caver${MY_PV}/lib/*.jar
installation() {
- sed \
- -e
"s:directory/where/jar/with/plugin/is/located:${EPREFIX}/usr/share/${PN}/lib/:g"
\
- -i Caver${MY_PV}.py || die
-
- insinto $(python_get_sitedir)/pmg_tk/startup/
- doins Caver${MY_PV}.py || die
+ sed \
+ -e
"s:directory/where/jar/with/plugin/is/located:${EPREFIX}/usr/share/${PN}/lib/:g"
\
+ -i Caver${MY_PV}.py || die
+
+ python_moduleinto pmg_tk/startup/
+ python_domodule Caver${MY_PV}.py
+ python_optimize
}
- python_execute_function -s installation
-}
-
-pkg_postinst() {
- python_mod_optimize pmg_tk/startup/Caver${MY_PV}.py
-}
-
-pkg_postrm() {
- python_mod_cleanup pmg_tk/startup/Caver${MY_PV}.py
+ python_foreach_impl installation
}
1.2 sci-chemistry/pymol-plugins-caver/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog?r1=1.1&r2=1.2
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog 18 Mar 2011 10:22:58 -0000 1.1
+++ ChangeLog 15 Apr 2015 14:14:33 -0000 1.2
@@ -1,6 +1,11 @@
# ChangeLog for sci-chemistry/pymol-plugins-caver
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog,v 1.1
2011/03/18 10:22:58 jlec Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header:
/var/cvsroot/gentoo-x86/sci-chemistry/pymol-plugins-caver/ChangeLog,v 1.2
2015/04/15 14:14:33 jlec Exp $
+
+ 15 Apr 2015; Justin Lecher <[email protected]>
+ -pymol-plugins-caver-2.1.1.ebuild, metadata.xml,
+ pymol-plugins-caver-2.1.2.ebuild:
+ Drop old; Bump EAPI and python eclasses
*pymol-plugins-caver-2.1.2 (18 Mar 2011)
*pymol-plugins-caver-2.1.1 (18 Mar 2011)
@@ -10,4 +15,3 @@
+metadata.xml:
Moved from sci-chemistry/caver to sci-chemistry/pymol-plugins-caver, Version
Bump
-